import { Event } from '../context/Event';
import { EventAccountLinking, EventAppRoles, EventBrandedCamera, EventCheckoutUpdate, EventDelivery, EventGamePlay, EventMessage, EventMessageAttachment, EventMessageQuickReply, EventOptin, EventPassThreadControl, EventPayment, EventPolicyEnforcement, EventPostback, EventPreCheckout, EventReaction, EventRead, EventReferral, EventRequestThreadControl, EventTakeThreadControl, FallbackAttachment, LocationAttachmentPayload, MediaAttachmentPayload, MessengerEventOptions, MessengerRawEvent } from './MessengerTypes';
export default class MessengerEvent implements Event<MessengerRawEvent> {
    _rawEvent: MessengerRawEvent;
    _isStandby: boolean;
    _pageId: string | null;
    constructor(rawEvent: MessengerRawEvent, options?: MessengerEventOptions);
    get rawEvent(): MessengerRawEvent;
    get timestamp(): number;
    get isMessage(): boolean;
    get message(): EventMessage | null;
    get isText(): boolean;
    get text(): string | null;
    get hasAttachment(): boolean;
    get attachments(): EventMessageAttachment[] | null;
    get isImage(): boolean;
    get image(): MediaAttachmentPayload | null;
    get isAudio(): boolean;
    get audio(): MediaAttachmentPayload | null;
    get isVideo(): boolean;
    get video(): MediaAttachmentPayload | null;
    get isLocation(): boolean;
    get location(): LocationAttachmentPayload | null;
    get isFile(): boolean;
    get file(): MediaAttachmentPayload | null;
    get isFallback(): boolean;
    get fallback(): FallbackAttachment | null;
    get isSticker(): boolean;
    get sticker(): number | null;
    get isLikeSticker(): boolean;
    get isQuickReply(): boolean;
    get quickReply(): EventMessageQuickReply | null;
    get isEcho(): boolean;
    get isPostback(): boolean;
    get postback(): EventPostback | null;
    get isGamePlay(): boolean;
    get gamePlay(): EventGamePlay | null;
    get isOptin(): boolean;
    get optin(): EventOptin | null;
    get isPayment(): boolean;
    get payment(): EventPayment | null;
    get isCheckoutUpdate(): boolean;
    get checkoutUpdate(): EventCheckoutUpdate | null;
    get isPreCheckout(): boolean;
    get preCheckout(): EventPreCheckout | null;
    get isRead(): boolean;
    get read(): EventRead | null;
    get isDelivery(): boolean;
    get delivery(): EventDelivery | null;
    get isPayload(): boolean;
    get payload(): string | null;
    get isPolicyEnforcement(): boolean;
    get policyEnforcement(): EventPolicyEnforcement | null;
    get isAppRoles(): boolean;
    get appRoles(): EventAppRoles | null;
    get isStandby(): boolean;
    get isPassThreadControl(): boolean;
    get passThreadControl(): EventPassThreadControl | null;
    get isTakeThreadControl(): boolean;
    get takeThreadControl(): EventTakeThreadControl | null;
    get isRequestThreadControl(): boolean;
    get isRequestThreadControlFromPageInbox(): boolean;
    get requestThreadControl(): EventRequestThreadControl | null;
    get isFromCustomerChatPlugin(): boolean;
    get isReferral(): boolean;
    get referral(): EventReferral | null;
    get ref(): string | null;
    get pageId(): string | null;
    get isBrandedCamera(): boolean;
    get brandedCamera(): EventBrandedCamera | null;
    get isAccountLinking(): boolean;
    get accountLinking(): EventAccountLinking | null;
    get isReaction(): boolean;
    get reaction(): EventReaction | null;
}
//# sourceMappingURL=MessengerEvent.d.ts.map