import { TelegramTypes } from 'messaging-api-telegram';
import { Event } from '../context/Event';
import { TelegramRawEvent } from './TelegramTypes';
export default class TelegramEvent implements Event<TelegramRawEvent> {
    _rawEvent: TelegramRawEvent;
    _timestamp: number;
    constructor(rawEvent: TelegramRawEvent);
    get rawEvent(): TelegramRawEvent;
    get timestamp(): number | undefined;
    get isMessage(): boolean;
    get message(): TelegramTypes.Message | null;
    get isText(): boolean;
    get text(): string | null;
    get isReplyToMessage(): boolean;
    get replyToMessage(): TelegramTypes.Message | null;
    get isAudio(): boolean;
    get audio(): TelegramTypes.Audio | null;
    get isDocument(): boolean;
    get document(): TelegramTypes.Document | null;
    get isGame(): boolean;
    get game(): TelegramTypes.Game | null;
    get isPhoto(): boolean;
    get photo(): TelegramTypes.PhotoSize | null;
    get isSticker(): boolean;
    get sticker(): TelegramTypes.Sticker | null;
    get isVideo(): boolean;
    get video(): TelegramTypes.Video | null;
    get isVoice(): boolean;
    get voice(): TelegramTypes.Voice | null;
    get isVideoNote(): boolean;
    get videoNote(): TelegramTypes.VideoNote | null;
    get isContact(): boolean;
    get contact(): TelegramTypes.Contact | null;
    get isLocation(): boolean;
    get location(): TelegramTypes.Location | null;
    get isVenue(): boolean;
    get venue(): TelegramTypes.Venue | null;
    get isEditedMessage(): boolean;
    get editedMessage(): TelegramTypes.Message | null;
    get isChannelPost(): boolean;
    get channelPost(): TelegramTypes.Message | null;
    get isEditedChannelPost(): boolean;
    get editedChannelPost(): TelegramTypes.Message | null;
    get isInlineQuery(): boolean;
    get inlineQuery(): TelegramTypes.InlineQuery | null;
    get isChosenInlineResult(): boolean;
    get chosenInlineResult(): TelegramTypes.ChosenInlineResult | null;
    get isCallbackQuery(): boolean;
    get callbackQuery(): TelegramTypes.CallbackQuery | null;
    get isPayload(): boolean;
    get payload(): string | null;
    get isShippingQuery(): boolean;
    get shippingQuery(): TelegramTypes.ShippingQuery | null;
    get isPreCheckoutQuery(): boolean;
    get preCheckoutQuery(): TelegramTypes.PreCheckoutQuery | null;
    get isPoll(): boolean;
    get poll(): TelegramTypes.Poll | null;
    get isPollAnswer(): boolean;
    get pollAnswer(): TelegramTypes.PollAnswer | null;
}
//# sourceMappingURL=TelegramEvent.d.ts.map